package com.zd.laboratory.mapper;

import java.util.List;
import com.zd.laboratory.domain.LabGradeManageRuleUser;

/**
 * 分级管控确认人员Mapper接口
 *
 * @author liubo
 * @date 2022-02-10
 */
public interface LabGradeManageRuleUserMapper
{
    /**
     * 查询分级管控确认人员
     *
     * @param id 分级管控确认人员主键
     * @return 分级管控确认人员
     */
    public LabGradeManageRuleUser selectLabGradeManageRuleUserById(Long id);

    /**
     * 查询分级管控确认人员列表
     *
     * @param labGradeManageRuleUser 分级管控确认人员
     * @return 分级管控确认人员集合
     */
    public List<LabGradeManageRuleUser> selectLabGradeManageRuleUserList(LabGradeManageRuleUser labGradeManageRuleUser);

    /**
     * 新增分级管控确认人员
     *
     * @param labGradeManageRuleUser 分级管控确认人员
     * @return 结果
     */
    public int insertLabGradeManageRuleUser(LabGradeManageRuleUser labGradeManageRuleUser);

    /**
     * 修改分级管控确认人员
     *
     * @param labGradeManageRuleUser 分级管控确认人员
     * @return 结果
     */
    public int updateLabGradeManageRuleUser(LabGradeManageRuleUser labGradeManageRuleUser);

    /**
     * 删除分级管控确认人员
     *
     * @param id 分级管控确认人员主键
     * @return 结果
     */
    public int deleteLabGradeManageRuleUserById(Long id);

    /**
     * 批量删除分级管控确认人员
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteLabGradeManageRuleUserByIds(Long[] ids);

    List<LabGradeManageRuleUser> queryByGradeManageId(Long gradeManageRuleId);

    int deleteByGradeManageId(Long gradeManageId);

    int insertBatch(List<LabGradeManageRuleUser> list);

    List<LabGradeManageRuleUser> selectExpiredList();

    int updateByCycle(List<Long> ids);

    List<Long> selectType1ByAdminSubId(Long subId);

    List<LabGradeManageRuleUser> selectType2ByAdminSubId(Long subId);

    List<LabGradeManageRuleUser> selectWorkExecuteByDay(LabGradeManageRuleUser labGradeManageRuleUser);

    String selectUserNameByUserIds(List<Long> users);
}
